> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get information about a package

> ## Get information about a package ##

<p>
Retrieves information about the given package.
</p>

#### Response ####

**Top Level Result Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>optionId</td><td>n</td><td>Integer</td><td>ID of the Package Option.</td>
         </tr>
         <tr>
             <td>label</td><td>n</td><td>String</td><td>Label for the Package Option.</td>
         </tr>
         <tr>
             <td>ordering</td><td>n</td><td>Integer</td><td>Sort order for the Package Option (affects order shown in UI).</td>
         </tr>
         <tr>
             <td>packageProducts</td><td>n</td><td>Array</td><td>Array of Package Product objects.</td>
         </tr>
     </tbody>
 </table>

**PackageProduct Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>packageProductId</td><td>n</td><td>Integer</td><td>ID of the Package Product.</td>
         </tr>
         <tr>
             <td>productPricesDetailId</td><td>n</td><td>Integer</td><td>ID of the ProductPricesDetail.</td>
         </tr>
         <tr>
             <td>ordering</td><td>n</td><td>Integer</td><td>Sort order for the Package Product (affects order shown in UI).</td>
         </tr>
         <tr>
             <td>quantity</td><td>n</td><td>Integer</td><td>Quantity of the ProductPricesDetail to be included in the package.</td>
         </tr>
         <tr>
             <td>rrpDifference</td><td>y</td><td>Float</td><td>Amount to add onto package's base RRP if this Package Product is selected. If null, the difference between the RRP for this product and the RRP for the cheapest product in the option will be used. Must be null for the cheapest product in this package option.</td>
         </tr>
     </tbody>
 </table>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json get /{supplierapi}/package/{productPricesDetail}/options
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/package/{productPricesDetail}/options:
    get:
      tags:
        - Version 1
      summary: Get information about a package
      description: |-
        ## Get information about a package ##

        <p>
        Retrieves information about the given package.
        </p>

        #### Response ####

        **Top Level Result Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>optionId</td><td>n</td><td>Integer</td><td>ID of the Package Option.</td>
                 </tr>
                 <tr>
                     <td>label</td><td>n</td><td>String</td><td>Label for the Package Option.</td>
                 </tr>
                 <tr>
                     <td>ordering</td><td>n</td><td>Integer</td><td>Sort order for the Package Option (affects order shown in UI).</td>
                 </tr>
                 <tr>
                     <td>packageProducts</td><td>n</td><td>Array</td><td>Array of Package Product objects.</td>
                 </tr>
             </tbody>
         </table>

        **PackageProduct Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>packageProductId</td><td>n</td><td>Integer</td><td>ID of the Package Product.</td>
                 </tr>
                 <tr>
                     <td>productPricesDetailId</td><td>n</td><td>Integer</td><td>ID of the ProductPricesDetail.</td>
                 </tr>
                 <tr>
                     <td>ordering</td><td>n</td><td>Integer</td><td>Sort order for the Package Product (affects order shown in UI).</td>
                 </tr>
                 <tr>
                     <td>quantity</td><td>n</td><td>Integer</td><td>Quantity of the ProductPricesDetail to be included in the package.</td>
                 </tr>
                 <tr>
                     <td>rrpDifference</td><td>y</td><td>Float</td><td>Amount to add onto package's base RRP if this Package Product is selected. If null, the difference between the RRP for this product and the RRP for the cheapest product in the option will be used. Must be null for the cheapest product in this package option.</td>
                 </tr>
             </tbody>
         </table>
      operationId: get_api_product_package_getpackageoptions
      parameters:
        - name: productPricesDetail
          in: path
          description: The ID of the ProductPricesDetail
          required: true
          schema:
            type: integer
            pattern: \d+
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
      responses:
        '200':
          description: Returned when successful
        '403':
          description: Returned when the user is not authorized
        '404':
          description: Returned when the ProductPricesDetail is not found
        '500':
          description: Internal error

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.